javax.media.opengl

## Interface GLOffscreenAutoDrawable.FBO

- All Superinterfaces:
    GLAutoDrawable, GLDrawable, GLFBODrawable, GLOffscreenAutoDrawable, GLSharedContextSetter, NativeSurfaceHolder
  Enclosing interface:
    GLOffscreenAutoDrawable

      public static interface GLOffscreenAutoDrawable.FBO
      extends GLOffscreenAutoDrawable, GLFBODrawable

  `FBObject` based `GLOffscreenAutoDrawable` specialization

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.media.opengl.GLOffscreenAutoDrawable

      `GLOffscreenAutoDrawable.FBO`

    - ### Nested classes/interfaces inherited from interface javax.media.opengl.GLFBODrawable

      `GLFBODrawable.Resizeable`

  - ### Field Summary

    - ### Fields inherited from interface javax.media.opengl.GLAutoDrawable

      `SCREEN_CHANGE_ACTION_ENABLED`

    - ### Fields inherited from interface javax.media.opengl.GLFBODrawable

      `FBOMODE_DEFAULT, FBOMODE_USE_DEPTH, FBOMODE_USE_TEXTURE`

  - ### Method Summary

    - ### Methods inherited from interface javax.media.opengl.GLOffscreenAutoDrawable

      `setSurfaceSize, setUpstreamWidget`

    - ### Methods inherited from interface javax.media.opengl.GLSharedContextSetter

      `setSharedAutoDrawable, setSharedContext`

    - ### Methods inherited from interface javax.media.opengl.GLAutoDrawable

      `addGLEventListener, addGLEventListener, areAllGLEventListenerInitialized, createContext, destroy, display, disposeGLEventListener, flushGLRunnables, getAnimator, getAutoSwapBufferMode, getContext, getContextCreationFlags, getDelegatedDrawable, getExclusiveContextThread, getGL, getGLEventListener, getGLEventListenerCount, getGLEventListenerInitState, getUpstreamLock, getUpstreamWidget, invoke, invoke, isThreadGLCapable, removeGLEventListener, setAnimator, setAutoSwapBufferMode, setContext, setContextCreationFlags, setExclusiveContextThread, setGL, setGLEventListenerInitState`

    - ### Methods inherited from interface javax.media.opengl.GLDrawable

      `getChosenGLCapabilities, getFactory, getGLProfile, getHandle, getNativeSurface, getRequestedGLCapabilities, getSurfaceHeight, getSurfaceWidth, isGLOriented, isRealized, setRealized, swapBuffers, toString`

    - ### Methods inherited from interface javax.media.opengl.GLFBODrawable

      `getColorbuffer, getFBObject, getFBOMode, getNumBuffers, getNumSamples, getTextureUnit, isInitialized, resetSize, setFBOMode, setNumBuffers, setNumSamples, setTextureUnit`

Copyright 2010 JogAmp Community.